import request from '@/utils/request'

// 查询举报类型管理列表
export function listReportCate(query) {
  return request({
    url: '/xq/reportCate/list',
    method: 'get',
    params: query
  })
}

// 查询举报类型管理详细
export function getReportCate(id) {
  return request({
    url: '/xq/reportCate/' + id,
    method: 'get'
  })
}

// 新增举报类型管理
export function addReportCate(data) {
  return request({
    url: '/xq/reportCate',
    method: 'post',
    data: data
  })
}

// 修改举报类型管理
export function updateReportCate(data) {
  return request({
    url: '/xq/reportCate',
    method: 'put',
    data: data
  })
}

// 删除举报类型管理
export function delReportCate(id) {
  return request({
    url: '/xq/reportCate/' + id,
    method: 'delete'
  })
}
